Main Page Groups Namespaces

# sigc::unwrap_lambda_type< T_type > Struct Template Reference

Deduces the type of the object stored in an object of the passed lambda type. More...

List of all members.

## Public Types

typedef unwrap_reference< T_type >::type | type

## Detailed Description

### template <class T_type>
struct sigc::unwrap_lambda_type< T_type >

Deduces the type of the object stored in an object of the passed lambda type.

If the type passed as template argument is no lambda type, type is defined to unwrap_reference<T_type>::type.

## Member Typedef Documentation

template <class T_type>
typedef unwrap_reference<T_type>::type sigc::unwrap_lambda_type<T_type>::type

The documentation for this struct was generated from the following file:

- base.h